deleteRecipientGroupRelation

Prev Next

Available in Classic and VPC

Delete an email address that is registered in a recipient group. Only the recipient group is removed, not the email address itself.

Request

The following describes the request format for the endpoint. The request format is as follows:

Method URI
DELETE /address-book/recipient-groups/address

Request headers

For information about the headers common to all Cloud Outbound Mailer APIs, see Cloud Outbound Mailer request headers.

Request body

The following describes the request body.

Field Type Required Description
groupName String Required Name of the target recipient group
emailAddresses List[String] Required List of recipient email addresses to delete

Request example

The following is a sample request.

curl --location --request DELETE 'https://mail.apigw.ntruss.com/api/v1/address-book/recipient-groups/address' \
--header 'x-ncp-apigw-timestamp: {Timestamp}' \
--header 'x-ncp-iam-access-key: {Access Key}' \
--header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \
--header 'Content-Type: application/json' \
--data-raw '{
  "groupName":"Teens",
  "emailAddresses":[
    "a@naver.com",
    "b@daum.net"
  ]
}'

Response

The following describes the response format.

Response body

The following describes the response body.

Field Type Required Description
totalAddressCount Integer - Total number of email addresses
groups List - Recipient group information

Response status codes

For information about the HTTP status codes common to all Cloud Outbound Mailer APIs, see Cloud Outbound Mailer response status codes.

Response example

The following is a sample response.

{
  "totalAddressCount": 4300,
  "groups": [
    {
      "sid": 155,
      "groupName": "Teens",
      "addressCount": 3900
    },
    {
      "sid": 159,
      "groupName": "Male",
      "addressCount": 1000
    }
}